0 Replies Latest reply: Jul 25, 2011 10:50 PM by 876513 RSS

    Java EE 6 Technologies page is not up-to-date

      This is a request for correction.

      * In Java EE 6 Technologies page,

      it turns out that the following information isn't correct (maybe obsolete, as there had been seemingly a plan to include JMX2.0 into EE 6 but later cancelled).
      Java Management Extensions (JMX) 2.0; [JSR 255|http://jcp.org/en/jsr/detail?id=255]
      Instead, it should be:
      -Java Management Extensions (JMX) *1.4*; [JSR 3|http://jcp.org/en/jsr/detail?id=3]
      -Java Management Extensions (JMX) Remote API; [JSR 160|http://jcp.org/en/jsr/detail?id=160]

      * Rationale for the correction :
      - The Java EE specification (JSR 316) does not require JMX 2.0 in JSR316 or in any other specs
      - JMX 2.0 is in its Early Draft Preview stage and still incomplete.

      * Importance of the correction:
      - The page is often referred to as one of the most `reliable' source of Java EE-related info
      so the accuracy and consistency is significantly important.
      See [this thread|http://forums.oracle.com/forums/thread.jspa?threadID=2255306] for details.

      Thanks in advance